## gimpdynamics

gimpdynamics — Operations related to paint dynamics.

## Functions

gchar ** | gimp_dynamics_get_list ()
gboolean | gimp_dynamics_refresh ()

## Description

Operations related to paint dynamics.

## Functions

### gimp_dynamics_get_list ()

    gchar **
    gimp_dynamics_get_list (const gchar *filter,
                            gint *num_dynamics);

Retrieve the list of loaded paint dynamics.

This procedure returns a list of the paint dynamics that are currently available.

#### Parameters

filter | An optional regular expression used to filter the list. |
num_dynamics | The number of available paint dynamics. |

#### Returns

The list of paint dynamics names. The returned value must be freed with `g_strfreev()`.

Since: 2.8

### gimp_dynamics_refresh ()

    gboolean
    gimp_dynamics_refresh (void);

Refresh current paint dynamics. This function always succeeds.

This procedure retrieves all paint dynamics currently in the user's paint dynamics path and updates the paint dynamics dialogs accordingly.

#### Returns

TRUE on success.

Since: 2.8

## Types and Values